package me.Demon.DemonLevels.listener;

import me.Demon.DemonLevels.Main;
import me.Demon.DemonLevels.data.PlayerData;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerJoinEvent;
import org.bukkit.event.player.PlayerQuitEvent;

public class JoinEvent implements Listener {

    @EventHandler
    public void onJoin(PlayerJoinEvent e){
        Player p = e.getPlayer();
        String uuid = p.getUniqueId().toString();
        Main.serverManage.getPlayerData(uuid); // 读取玩家的等级数据
    }

    @EventHandler
    public void onQuit(PlayerQuitEvent e){
        // 当玩家离开服务器时保存等级数据
        Player p = e.getPlayer();
        String uuid = p.getUniqueId().toString();
        PlayerData playerData = Main.serverManage.getPlayerData(uuid); // 读取玩家的等级数据
        playerData.savePlayerData();
    }
}
